Package weka.gui.beans

# Class IncrementalClassifierEvent

java.lang.Object
java.util.EventObject
weka.gui.beans.IncrementalClassifierEvent

All Implemented Interfaces:
  `Serializable`

public class IncrementalClassifierEvent extends EventObject
Class encapsulating an incrementally built classifier and current instance

Since:
  1.0
Version:
  $Revision: 1.9 $
Author:
  Mark Hall
See Also:
  - `EventObject`
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BATCH_FINISHED`
`static final int`
`NEW_BATCH`
`static final int`
`WITHIN_BATCH`

## Constructor Summary

Constructors
Constructor
Description
`IncrementalClassifierEvent(Object source)`
`IncrementalClassifierEvent(Object source, Classifier scheme, Instance currentI, int status)`
Creates a new `IncrementalClassifierEvent` instance.
`IncrementalClassifierEvent(Object source, Classifier scheme, Instances structure)`
Creates a new incremental classifier event that encapsulates header information and classifier.

## Method Summary

Modifier and Type
Method
Description
`Classifier`
`getClassifier()`
Get the classifier
`Instance`
`getCurrentInstance()`
Get the current instance
`int`
`getStatus()`
Get the status
`Instances`
`getStructure()`
Get the instances structure (may be null if this is not a NEW_BATCH event)
`void`
`setClassifier(Classifier c)`
`void`
`setCurrentInstance(Instance i)`
Set the current instance for this event
`void`
`setStatus(int s)`
Set the status
`void`
`setStructure(Instances structure)`
Set the instances structure

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NEW_BATCH

public static final int NEW_BATCH

See Also:
  - Constant Field Values

### WITHIN_BATCH

public static final int WITHIN_BATCH

See Also:
  - Constant Field Values

### BATCH_FINISHED

public static final int BATCH_FINISHED

See Also:
  - Constant Field Values

## Constructor Details

### IncrementalClassifierEvent

public IncrementalClassifierEvent(Object source, Classifier scheme, Instance currentI, int status)
Creates a new `IncrementalClassifierEvent` instance.

Parameters:
  `source` - the source of the event
  `scheme` - the classifier
  `currentI` - the current instance
  `status` - the status

### IncrementalClassifierEvent

public IncrementalClassifierEvent(Object source, Classifier scheme, Instances structure)
Creates a new incremental classifier event that encapsulates header information and classifier.

Parameters:
  `source` - an `Object` value
  `scheme` - a `Classifier` value
  `structure` - an `Instances` value

### IncrementalClassifierEvent

public IncrementalClassifierEvent(Object source)

## Method Details

### getClassifier

public Classifier getClassifier()
Get the classifier

Returns:
  the classifier

### setClassifier

public void setClassifier(Classifier c)

### getCurrentInstance

public Instance getCurrentInstance()
Get the current instance

Returns:
  the current instance

### setCurrentInstance

public void setCurrentInstance(Instance i)
Set the current instance for this event

Parameters:
  `i` - an `Instance` value

### getStatus

public int getStatus()
Get the status

Returns:
  an `int` value

### setStatus

public void setStatus(int s)
Set the status

Parameters:
  `s` - an `int` value

### setStructure

public void setStructure(Instances structure)
Set the instances structure

Parameters:
  `structure` - an `Instances` value

### getStructure

public Instances getStructure()
Get the instances structure (may be null if this is not a NEW_BATCH event)

Returns:
  an `Instances` value